local bt=60/127 --beattime, 60 seconds over 127 bpm
return Def.ActorFrame{

	InitCommand=function(self)

		self:sleep(9999)

		--SCREENMAN:SystemMessage("hey")

	end,

	
Def.Sprite{

		Name="moon",

		Texture="../_Graphics/moon.png",

		InitCommand=function(self)

			self:zoom(0.5):xy(SCREEN_WIDTH*0.5,SCREEN_CENTER_Y+150):diffusealpha(0)

		end, --InitCommand

			

		OnCommand=function(self)

			self:decelerate(bt*2):diffusealpha(1):sleep(bt)

			:accelerate(bt):y(SCREEN_HEIGHT*0.07+50)

			:linear(bt*7):y(50)	
			:linear(bt):diffusealpha(0)

--[[
			:accelerate(bt):y(SCREEN_CENTER_Y*0.97+150)
			:linear(bt*7):y(SCREEN_CENTER_Y+150)

]]--
		end, --OnCommand

	},



	Def.Sprite{

		Name="clouds",
		Texture="../_Graphics/clouds",

		InitCommand=function(self)

			self:zoom(SCREEN_WIDTH/852):xy(SCREEN_CENTER_X,SCREEN_CENTER_Y+480):diffusealpha(0)

		end, --InitCommand


		OnCommand=function(self)

			self:decelerate(bt*3):diffusealpha(0.8)

			:accelerate(bt):y(SCREEN_CENTER_Y-480+30)
	
			:linear(bt*7):y(SCREEN_CENTER_Y-480)

			:accelerate(bt):y(SCREEN_CENTER_Y+480-30):diffusealpha(0)

--[[
			:linear(bt*7):y(SCREEN_CENTER_Y+480)

			:linear(bt):diffusealpha(0)
]]--
		end --OnCommand

	},

	Def.ActorFrame{
		Name="houseAF",

		InitCommand=function(self)

		self:zoom(SCREEN_WIDTH/1440):xy(SCREEN_CENTER_X+150,SCREEN_HEIGHT+500)

		end, --InitCommand

	
		OnCommand=function(self)

			self:decelerate(bt*3)

			:accelerate(bt):y(SCREEN_CENTER_Y+60)

			:linear(bt*7):y(SCREEN_CENTER_Y)
	

			:accelerate(bt):xy(SCREEN_WIDTH*-3.1*5,SCREEN_HEIGHT*0.7*5):zoom(50)

		end, --OnCommand




		Def.Quad{
			Name="Window",
			InitCommand=function(self)
				self:zoom(100,100):xy(250,-60):diffuse(Color.White)
			end,
			OnCommand=function(self)
				self:sleep(12*bt):decelerate(bt*0.75):diffusealpha(0)
			end
		},

		Def.Sprite{

			Name="house",

			Texture="../_Graphics/hhouse",

			InitCommand=function(self)

				
			end, --InitCommand

		
			OnCommand=function(self)

				self:sleep(12*bt):decelerate(bt):diffusealpha(0)
			end, --OnCommand

		},
	
},
	Def.ActorFrame{
		Name="parrottreeAF",
		InitCommand=function(self)

			self:zoom((SCREEN_HEIGHT/900)*1.4):xy(SCREEN_WIDTH*0.3,SCREEN_HEIGHT+700)

		end, --InitCommand

	

		OnCommand=function(self)

			self:decelerate(bt*3)

			:accelerate(bt):y(SCREEN_CENTER_Y+100)
	
			:linear(bt*7):y(SCREEN_CENTER_Y-10)

			:accelerate(bt):y(SCREEN_HEIGHT+500)
		end, --OnCommand


		
Def.Sprite{

			Name="treel",

			Texture="../_Graphics/tree",

			InitCommand=function(self)

				self:xy(40,300):sleep(300)--zoom((SCREEN_HEIGHT/900)*1.2):xy(SCREEN_WIDTH*0.3,SCREEN_HEIGHT+700)

			end, --InitCommand


		},
		Def.Sprite{
			Name="parrot",
			Texture="../_Graphics/evilparrot",
			InitCommand=function(self)
				self:xy(180,-120):rotationy(180)
				:SetStateProperties({
					{Frame=1,Delay=bt*6},

					{Frame=0,Delay=bt*1.25},
					{Frame=1,Delay=bt*0.25},

					{Frame=0,Delay=bt*0.375},
					{Frame=1,Delay=bt*0.125},

					{Frame=0,Delay=bt*0.375},
					{Frame=1,Delay=bt*0.125},

					{Frame=0,Delay=bt*0.375},
					{Frame=1,Delay=bt*0.125},

					{Frame=0,Delay=bt*0.375},
					{Frame=1,Delay=bt*0.125},

					{Frame=0,Delay=bt*0.375},
					{Frame=1,Delay=bt*0.125},

					{Frame=0,Delay=bt*0.375},
					{Frame=1,Delay=bt*0.125},

					{Frame=0,Delay=bt*1.25},
					{Frame=1,Delay=100}
				})
			end,
			OnCommand=function(self)
				self:sleep(bt*24)
			end
		}
	},
--[[
	Def.Sprite{

		Name="inside",

		Texture="../_Graphics/getsome",

		InitCommand=function(self)

			self:zoom(1.5):xy(SCREEN_CENTER_X,SCREEN_CENTER_Y):diffusealpha(0)
		end, --InitCommand

	

		OnCommand=function(self)

			self:sleep(12*bt):linear(0):diffusealpha(0.5)


		end, --OnCommand

	},

]]--
	
}


--[[

	Def.Sprite{

		Name="",

		Texture="../_Graphics/",

		InitCommand=function(self)

			self:

		end, --InitCommand

	

		OnCommand=function(self)

			self:

		end, --OnCommand

	},

]]--